## org.apache.mahout.cf.taste.recommender
Interface CandidateItemsStrategy

All Superinterfaces:
  Refreshable

All Known Implementing Classes:
  AbstractCandidateItemsStrategy, AllSimilarItemsCandidateItemsStrategy, AllUnknownItemsCandidateItemsStrategy, PreferredItemsNeighborhoodCandidateItemsStrategy, SamplingCandidateItemsStrategy

    public interface CandidateItemsStrategy

extends Refreshable

Used to retrieve all items that could possibly be recommended to the user

Method Summary
`FastIDSet` `getCandidateItems(long userID, PreferenceArray preferencesFromUser, DataModel dataModel)`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### getCandidateItems

    FastIDSet getCandidateItems(long userID,
                                PreferenceArray preferencesFromUser,
                                DataModel dataModel)
                                throws TasteException

  Returns:
    IDs of all items that could be recommended to the user
  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.